Overview
GET/persona/services/{id}persona

Get an LLM provider connection by id

Fetch a record from services by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Responses
200

Persona service (redacted)

  • idstring
  • templateIdoptionalstring?
  • providerKindstring
  • namestring
  • baseUrlstring
  • hasApiKeyboolean
  • connectStatusstring
  • connectErroroptionalstring?
  • lastConnectedAtoptionalstring?
  • documentationUrloptionalstring?
  • statusUrloptionalstring?
  • modelsPersonaServiceModel[]
  • modelsFetchedAtoptionalstring?
Example
{
  "id": "string",
  "templateId": "string",
  "providerKind": "string",
  "name": "string",
  "baseUrl": "string",
  "hasApiKey": true,
  "connectStatus": "string",
  "connectError": "string",
  "lastConnectedAt": "string",
  "documentationUrl": "string",
  "statusUrl": "string",
  "models": [
    "string"
  ],
  "modelsFetchedAt": "string"
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/persona/services/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona/services/{id}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();